# WOK
TKWOK
MS

# MS_Executable Class Reference

`#include <MS_Executable.hxx>`

Inheritance diagram for MS_Executable:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Executable (const Handle(TCollection_HAsciiString)&anExecutable)
Standard_EXPORT void | AddParts (const Handle(MS_HSequenceOfExecPart)&theParts)
Standard_EXPORT Handle_MS_HSequenceOfExecPart | Parts () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MS_HSequenceOfExecPart | myParts

## Constructor & Destructor Documentation

Standard_EXPORT MS_Executable::MS_Executable | ( | const Handle(TCollection_HAsciiString)& | anExecutable | ) |

## Member Function Documentation

Standard_EXPORT void MS_Executable::AddParts | ( | const Handle(MS_HSequenceOfExecPart)& | theParts | ) |

Standard_EXPORT const MS_Executable::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Exec.

Standard_EXPORT Handle_MS_HSequenceOfExecPart MS_Executable::Parts | ( |  | ) | const

## Field Documentation

Handle_MS_HSequenceOfExecPart MS_Executable::myParts `[private]`

The documentation for this class was generated from the following file:

- MS_Executable.hxx